#import <Foundation/NSObject.h>
#import <Foundation/NSString.h>
#import <Foundation/Foundation.h>
// Obično se interface smješta u posebnu datoteku zaglavlja
// Kontakt2.h
@interface Kontakt2: NSObject 
{
	// razina pristua varijabli je stavljen na private što
	// znači da im izravno mogu pristupiti samo metode
	// klase Kontakt. Sve ostale metode varijablama pristupaju
	// pomoću "getter" i "setter" metoda ove klase
	@private
    NSString * imePrezime;
    NSString * adresa;
}
	-(void) setImePrezime: (NSString *) ip;
	-(void) setAdresa: (NSString *) adr;
	-(NSString *) getImePrezime;
	-(NSString *) getAdresa;
	-(void) ispisiKontakt;
@end
// Verzija klase s konstruktorom
// Ako je interface naveden u datoteci zaglavlja, ona se
// importira 
//import<Kontakt2.h>
@implementation Kontakt2
// metoda koja ima ulogu konstruktora
- (id)init:(id)ip{
    imePrezime = ip;
    return self;
  }
-(NSString*) getImePrezime {
    return imePrezime;
}
-(NSString*) getAdresa {
    return adresa;
}
-(void) setImePrezime: (NSString*) ip {
    imePrezime = ip;
}
-(void) setAdresa: (NSString*) ad {
    adresa = ad;
}
-(void) ispisiKontakt {
 NSLog(@"Ime i prezime: %@\nAdresa: %@\n", [self getImePrezime] , [self getAdresa] );

}
@end
int main(int argc, const char * argv[]){
   Kontakt2 *k1 = [[Kontakt2 alloc] init:@"Ana Anić"];
   Kontakt2 *k2 = [[Kontakt2 alloc] init:@"Pero Perić"];
   [k1 setAdresa:@"Vukovarska 71, Dubrovnik"];
   [k2 setAdresa:@"Splitski put 40b, Dubrovnik"];
   [k1 ispisiKontakt];
   [k2 ispisiKontakt];
   return 0;
}
